using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class PdfExport : System.Web.UI.Page
{
    protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("Column1");
        table.Columns.Add("Column2");
        table.Columns.Add("Column3");
        table.Columns.Add("Column4");

        for (int i = 0; i < 20; i++)
        {
            table.Rows.Add("Col1 Row" + i, "Col2 Row" + i, "Col3 Row" + i, "Col4 Row" + i);
        }

        RadGrid1.DataSource = table;
    }
}